Bug 173017 - Kernel 2.6.14-1.1637 not PATA Promise support
Kernel 2.6.14-1.1637 not PATA Promise support
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-12 10:35 EST by Francisco Miguel Biete
Modified: 2013-07-02 22:26 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.6.14-1.1653_FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-04 05:11:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Francisco Miguel Biete 2005-11-12 10:35:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux) KHTML/3.4.2 (like Gecko)

Description of problem:
After installing the kernel-2.6.14-1.1637_FC4 the kernel doesn't find the PATA  
promise controller. The kernel-2.6.13-1.1532_FC4, kernel-2.6.11-1.1369_FC4 and  
older work fine.  
  
lspci: (under 2.6.13)  
00:08.0 RAID bus controller: Promise Technology, Inc. PDC20378 (FastTrak  
378/SATA 378) (rev 02)  
        Subsystem: ASUSTeK Computer Inc. K8V Deluxe/PC-DL Deluxe motherboard  
        Flags: bus master, 66Mhz, medium devsel, latency 96, IRQ 5  
        I/O ports at a000 [size=64]  
        I/O ports at ec00 [size=16]  
        I/O ports at dc00 [size=128]  
        Memory at f7c00000 (32-bit, non-prefetchable) [size=4K]  
        Memory at f7b00000 (32-bit, non-prefetchable) [size=128K]  
        Capabilities: <available only to root>  
  
You can found a similar problem under the  
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=172913  
  
The dmesg in the 2.6.14 doesn't show any PATA Promise controller but only the  
SATA  

Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1637_FC4

How reproducible:
Always

Steps to Reproduce:
1. Boot under the kernel-2.6.14-1.1637_FC4 
2. dmesg to find the devices (ONLY SATA) 
   

Actual Results:  I couldn't use my lvm volume since it uses the disks under the PATA Promise 
controller 

Expected Results:  Detect the PATA controller just as the older kernels. 

Additional info:

Motherboard ASUS K8V SE Deluxe with Promise 378 PATA/SATA RAID Controller
Comment 1 Francisco Miguel Biete 2005-11-14 13:52:46 EST
I tried both options: 
 
Adding  
libata.atapi_enabled=1 
to the grub entry. It returned "ignoring unknow option libata.atapi_enabled=1" 
 
Adding 
options libata atapi_enabled=1 
to /etc/modprobes.conf 
 
And no one worked 
Comment 2 Dave Jones 2005-11-14 14:28:08 EST
ATAPI has nothing to do with PATA support, so thats not expected to work.
This happened to work in earlier kernels, because we carried a patch that got
dropped as bits of it were merged upstream. Not all of it made it it seems.
Comment 3 Marcin Grabda 2005-11-29 07:01:18 EST
Same problem in 2.6.14-1.1644_FC4. I still can't use my disk connected to
promise ATA controller.
Comment 4 Dave Jones 2006-02-03 01:27:05 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 5 Francisco Miguel Biete 2006-02-04 05:11:55 EST
With the new kernel (Version: 2.6.15-1.1830_FC4) it works perfectly. This bug 
was fixed in version kernel-2.6.14-1.1656_FC4. 
 
Thank you very much 

Note You need to log in before you can comment on or make changes to this bug.